Bug 312982 - page anchored shapes (with run around) leaves empty rectangles elsewhere in doc
Summary: page anchored shapes (with run around) leaves empty rectangles elsewhere in doc
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: opendocument (show other bugs)
Version: Git
Platform: Other Linux
: NOR critical (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-09 23:50 UTC by Sven Langkamp
Modified: 2013-01-13 05:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
File to reproduce the problem (324.85 KB, application/octet-stream)
2013-01-09 23:51 UTC, Sven Langkamp
Details
Screenshot showing the bug after load (169.60 KB, image/png)
2013-01-09 23:53 UTC, Sven Langkamp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Langkamp 2013-01-09 23:50:58 UTC
After saving an loading a file the first header is broken. There appears to be some sort of line break just after the number. Bug leads to dataloss.

Reproducible: Always

Steps to Reproduce:
1. open the attached file 
2. mark first header and select Head 1
3. save and open again
Actual Results:  
Header appears with line break look

Expected Results:  
Should be in one line.
Comment 1 Sven Langkamp 2013-01-09 23:51:49 UTC
Created attachment 76348 [details]
File to reproduce the problem
Comment 2 Sven Langkamp 2013-01-09 23:53:23 UTC
Created attachment 76349 [details]
Screenshot showing the bug after load
Comment 3 Camilla Boemann 2013-01-12 15:58:40 UTC
We need to move away all  page anchored images before starting the layout. so they don't create empty rectangles on the first page.

I recall we once had set them to invisible until we were able to place them.
Comment 4 Camilla Boemann 2013-01-13 05:06:38 UTC
Git commit 3b6b1973f182109e89fc1d40437bb1223c0c6e73 by C. Boemann.
Committed on 12/01/2013 at 05:22.
Pushed by boemann into branch 'master'.

Shape moving restrictions based on anchor properties.

This is the page anchors equivalent of the char and paragraph anchors code we
already have.

This makes a difference both on initial layout (nice improvements)
and on interactive moving of page anchored shapes.

This commit also fixes the default anchoring properties to be the same as in LO.

This commit also fixes it so the page anchored iages doesn't leave empty rects on
page 1 after reload
Related: bug 312193, bug 310715
REVIEW: 108358

M  +10   -1    libs/kotext/KoTextAnchor.cpp
M  +10   -6    plugins/defaultTools/defaulttool/ShapeMoveStrategy.cpp
M  +1    -0    plugins/defaultTools/defaulttool/ShapeMoveStrategy.h
M  +4    -0    words/part/KWCanvasBase.cpp
M  +12   -2    words/part/KWRootAreaProvider.cpp
M  +81   -1    words/part/frames/KWFrameLayout.cpp
M  +2    -0    words/part/frames/KWFrameLayout.h

http://commits.kde.org/calligra/3b6b1973f182109e89fc1d40437bb1223c0c6e73
Comment 5 Camilla Boemann 2013-01-13 05:08:06 UTC
Git commit 2b0ea66ee4d671e3da24776e3228e429d3c8c43c by C. Boemann.
Committed on 12/01/2013 at 05:22.
Pushed by boemann into branch 'calligra/2.6'.

Shape moving restrictions based on anchor properties.

This is the page anchors equivalent of the char and paragraph anchors code we
already have.

This makes a difference both on initial layout (nice improvements)
and on interactive moving of page anchored shapes.

This commit also fixes the default anchoring properties to be the same as in LO.

This commit also fixes it so the page anchored iages doesn't leave empty rects on
page 1 after reload
Related: bug 312193, bug 310715
REVIEW: 108358

M  +10   -1    libs/kotext/KoTextAnchor.cpp
M  +10   -6    plugins/defaultTools/defaulttool/ShapeMoveStrategy.cpp
M  +1    -0    plugins/defaultTools/defaulttool/ShapeMoveStrategy.h
M  +4    -0    words/part/KWCanvasBase.cpp
M  +12   -2    words/part/KWRootAreaProvider.cpp
M  +81   -1    words/part/frames/KWFrameLayout.cpp
M  +2    -0    words/part/frames/KWFrameLayout.h

http://commits.kde.org/calligra/2b0ea66ee4d671e3da24776e3228e429d3c8c43c